Subject: Re: git-svn, remote tracking branch question

From: Eric Wong <[email-masked]>
Date: Tue, 27 Mar 2007 15:00:15 -0700

Seth Falcon <[email-masked]> wrote:
> Hi,
> 
> I've edited my <repos>/.git/config file so that git-svn is tracking
> the main devel line as well as a release branch of a project.  This
> seems to work well.
> 
> So I have:
> 
> [svn-remote "svn"]
> 	url = https://svn.url.com/root
> 	fetch = branches/release-2-5:refs/remotes/2.5
> 	fetch = trunk:refs/remotes/git-svn
> 
> I can checkout the 2.5 release branch like this:
> 
>    git checkout -b 2.5 remotes/2.5
> 
> But at this point, how do I ask git-svn to update it?  When working on
> the devel line, I can do 'git svn rebase' and I would like to do the
> same thing but relative to the branch.
> 
> Perhaps there is some config I can add so that I don't have to do:
> 
>    git svn fetch
>    git rebase remotes/2.5
> 
> That isn't so bad except for having to remember where you are...

'git svn rebase' should be capable auto-discovering the remote ref that
you last branched from.  I'm not sure if the '2.5' that's common in the
remote ref and your local branch would cause ambiguity, however...

I'll look into this more when/if I have time tonight.

-- 
Eric Wong